------------------------------------------------------------------------------------
--Name:  	tianglong
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(66, 70)
CppScriptMgr:SetViewScale(200)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(72, 76)
player_0:SetArmor(198895, 0, 1)
player_0:SetName("")
player_0:SetDir(5)
player_0:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
player_0:Say("ClawStrike", 1000)
player_0:SetAction(401)
local effect_1 = CppScriptMgr:AddEffect("wusengjx_skill2", 72, 76, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(910)
local effect_4 = CppScriptMgr:AddEffect("wusengjx_skill2", 72, 76, 33, 1, 1, 1)
effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1020)
player_0:SetDir(7)
player_0:SetAction(403)
player_0:Say("VajraRing", 1000)
CppScriptMgr:WaitMilSec(300)
local effect_0 = CppScriptMgr:AddEffect("wusengjx_skill6_xh", 72, 76, 80, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1970)
CppScriptMgr:ClearEffect(effect_0)
CppScriptMgr:WaitMilSec(60)
player_0:Say("ZenStaff", 1000)
player_0:SetAction(401)
CppScriptMgr:WaitMilSec(270)
local effect_2 = CppScriptMgr:AddEffect("wusengjx_skill9_xh", 72, 76, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(2380)